TYPO3 Core - Feature #23156

Epic # 65814 (Closed): Make Indexed search extbase plugin shine

Feature # 19465 (Closed): Configuration enhancement for indexed_search
Slash is hard—coded in the page path
2010-07-12 16:14 - Dmitry Dulepov

Status: Closed Start date: 2010-07-12
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Indexed Search Estimated time: 0.00 hour
Target version: 7 LTS

PHP Version: Complexity: easy

Tags: Sprint Focus:

Description

When displaying search results, slash is hard—coded in the page path property. There will be always a slash in the beginning,
separating slash and nothing in the end. It is not possible, for example, to have only symbols like » between path segments.

The attached patch fixes it by introducing a new option named "pathCharacter", which has optionSplit functionality.

(issue imported from #M15086)

Related issues:

Related to TYPO3 Core - Feature #33556: IndexedSearch: Add stdWrap for rootli... Closed 2012-01-31
Related to TYPO3 Core - Bug #73631: search section names omit first character... Closed 2016-02-23
Has duplicate TYPO3 Core - Feature #33077: make separator in "path" in search... Rejected 2012-01-09

Associated revisions

Revision bf8064a9 - 2015-10-06 22:50 - Frederic Gaus
[FEATURE] Make path separator of search result configurable

This patch makes the hard coded path separator ("/") of the
indexed_search search result configurable with TypoScript.
You can use option split syntax to wrap each page title separately.

It also makes getPathFromPageld() return already
htmlspecialcharsed string.

Resolves: #23156

Releases: master

Change-Id: 176dc55518ffb0702d669b043249dc70fc9492d82
Reviewed-on: http://review.typo3.0rg/36001

Reviewed-by: Benni Mack <benni@typo3.org>

Tested-by: Benni Mack <benni@typo3.org>

History

#1 - 2013-06-05 16:27 - Dmitry Dulepov
- File 23156.diff added
- Target version deleted (0)

- TYPOS3 Version set to 6.2

Updated patch for TYPO3 6.2. Not tested.

#2 - 2015-01-13 15:26 - Frederic Gaus
- Category set to Indexed Search

- Target version set to 7.2 (Frontend)

#3 - 2015-01-13 15:27 - Frederic Gaus
- Complexity set to easy

#4 - 2015-01-13 16:11 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36001

#5 - 2015-01-13 17:14 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36001

#6 - 2015-01-13 17:55 - Tymoteusz Motylewski
- Parent task set to #19465

#7 - 2015-01-16 15:38 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/36001

#8 - 2015-04-24 20:47 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36001

#9 - 2015-06-15 18:12 - Benni Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)

#10 - 2015-07-17 16:28 - Tymoteusz Motylewski

- Sprint Focus set to On Location Sprint

#11 - 2015-08-05 10:46 - Susanne Moog
- Target version changed from 7.4 (Backend) to 7.5

#12 - 2015-08-05 11:39 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36001

#13 - 2015-08-10 08:03 - Anja Leichsenring

- Sprint Focus changed from On Location Sprint to Remote Sprint

#14 - 2015-09-14 19:12 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http:/review.typo3.org/36001

#15 - 2015-09-15 00:04 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/36001

#16 - 2015-09-15 21:20 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36001

#17 - 2015-09-15 21:23 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36001

#18 - 2015-09-16 20:04 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/36001
#19 - 2015-09-16 20:05 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/36001

#20 - 2015-09-24 10:50 - Benni Mack
- Target version changed from 7.5to 7 LTS
- Sprint Focus deleted (Remote Sprint)

#21 - 2015-10-06 22:17 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/36001

#22 - 2015-10-06 22:55 - Frederic Gaus
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset bf8064a9ddca3c1c2c8028888cebabccb002e7e5.

#23 - 2017-10-21 17:45 - Riccardo De Contardi

- Status changed from Resolved to Closed

Files

15086.diff 2.86 KB 2010-07-12 Administrator Admin

23156.diff 4.32 KB 2013-06-05 Dmitry Dulepov
